package com.pcloud.book.book.biz;

import com.pcloud.book.book.entity.BookSwitch;
import com.pcloud.book.book.vo.request.BookSwitchParam;

import java.util.List;
import java.util.Map;

/**
 * @描述：
 * @作者：张扬
 * @创建时间：2022/6/17 21:05:11
 * @版本：1.0
 */
public interface BookSwitchBiz {
    void saveSwitch(BookSwitchParam param);

    Map<Long, BookSwitch> mapByBookIds(List<Long> bookIds);

    void batchSaveSwitch(BookSwitchParam param);
}
